Update identifiers by type (single or list)
Updates identifiers based on the provided parameters. The identifier format must match the
Wiegand card reader settings configured via POST /access/general/wiegand/type. Supported
formats include:
- Hexadecimal (e.g., "1c-3b-4a")
- Decimal (e.g., "1850186")
Modes:
- If
numberis not provided → batch update of identifiers - If
numberis provided → single identifier update
Returns:
- A list of operation results for each identifier (e.g., success/failure status)
- The identifier format must align with the Wiegand configuration (hex/decimal) set via
POST /access/general/wiegand/type.
Query Parameters
- type string required
Possible values: [
card,face_id,inputCode,qr,ukey,license_plate]Identifier type
- number object
Required only for single identifier operations and optional for batch operations
- application/json
Request Body required
Identifier update request
Required fields:
- identifier_owner
- lock
- valid
Notes:
- identifier_number is required for batch update mode
- identifier_number is ignored in single update mode and taken from query parameter
- identifier_type is optional and should be specified only when the identifier type needs to be changed
- changing identifier type to FACE_ID is not supported
- MOD1
- MOD2
list_items object[] required
List of identifier update requests to be processed in batch mode
identifier_type objectIdentifier type
identifier_number object
Identifier number in HEX or Decimal format depending on the selected Wiegand Identifier representation mode.
Warning: The same value may represent different identifiers in different modes. For example,
44is identifier 44 in Decimal mode, but identifier 68 in Decimal representation when HEX mode is used (0x44).Ensure the correct representation mode is selected before performing update or delete operations.
oneOf- MOD1
- MOD2
stringintegeridentifier_owner object required
Owner associated with the identifier
type string requiredOwner entity type
name string requiredOwner name or identifier
lock string requiredPossible values: [
first,second,all]Defines which lock the identifier grants access to:
- first - access to the first lock only
- second - access to the second lock only
- all - access to both locks
valid object required
Time validity settings for the identifier
time object required
Time validity model for identifier
oneOf- MOD1
- MOD2
is_permanent boolean requiredPossible values: [
true]Always true for permanent validity
is_permanent boolean requiredPossible values: [
false]Always false for bounded validity
from integer requiredStart timestamp of validity period
to integer requiredEnd timestamp of validity period
passes object required
Pass limit model for identifier
oneOf- MOD1
- MOD2
is_permanent boolean requiredPossible values: [
true]Permanent mode flag
max_passes integer requiredMaximum number of allowed passes
is_permanent boolean requiredPossible values: [
false]Permanent mode flag
max_passes integerMaximum number of allowed passes (optional for bounded mode)
- identifier_type object
Identifier type
identifier_number object
Identifier number in HEX or Decimal format depending on the selected Wiegand Identifier representation mode.
Warning: The same value may represent different identifiers in different modes. For example,
44is identifier 44 in Decimal mode, but identifier 68 in Decimal representation when HEX mode is used (0x44).Ensure the correct representation mode is selected before performing update or delete operations.
oneOf- MOD1
- MOD2
stringintegeridentifier_owner object required
Owner associated with the identifier
type string requiredOwner entity type
name string requiredOwner name or identifier
- lock string required
Possible values: [
first,second,all]Defines which lock the identifier grants access to:
- first - access to the first lock only
- second - access to the second lock only
- all - access to both locks
valid object required
Time validity settings for the identifier
time object required
Time validity model for identifier
oneOf- MOD1
- MOD2
is_permanent boolean requiredPossible values: [
true]Always true for permanent validity
is_permanent boolean requiredPossible values: [
false]Always false for bounded validity
from integer requiredStart timestamp of validity period
to integer requiredEnd timestamp of validity period
passes object required
Pass limit model for identifier
oneOf- MOD1
- MOD2
is_permanent boolean requiredPossible values: [
true]Permanent mode flag
max_passes integer requiredMaximum number of allowed passes
is_permanent boolean requiredPossible values: [
false]Permanent mode flag
max_passes integerMaximum number of allowed passes (optional for bounded mode)
- 200
- 400
- 401
- 403
Per-identifier operation result.
Notes:
- This endpoint always returns HTTP 200 even if individual operations fail.
- Validation and business errors are returned per item in
extended_info. - Partial success is supported in batch mode.
- Database is modified only for successfully processed identifiers.
- application/json
- Schema
- Example (from schema)
Schema
- result object[]
Per-operation result list
{
"result": [
{
"identifier_type": "card",
"success": true,
"identifier_number": "string",
"extended_info": "updated"
}
]
}
Request is syntactically invalid or missing required data. In this case no processing is performed and database is not modified.
Possible reasons:
- Missing or invalid query parameters (identifier type)
- Missed json body or wrong param Response sample:
"error": "Wrong JSON body"
- Required field is not provided. Response sample:
"error": "Wrong JSON body: no value for `param`"
where param - is a required field that was not provided
- Field was of the wrong type. Response sample:
"error": "Wrong JSON body: value `param` was of the wrong type"
where param - is a field of the wrong type
- application/json
- Schema
- Example (from schema)
- Base
- No value
- Wrong param type
- Wrong or missed param
Schema
- error string
Error message
{
"error": true
}
{
"error": "Wrong JSON body"
}
{
"error": "Wrong JSON body: no value for `param`"
}
{
"error": "Wrong JSON body: value `param` was of the wrong type"
}
{
"error": "Wrong or missing parameters"
}
Unauthorized request. Log In
- application/json
- Schema
- Example (from schema)
- Log In
Schema
- error string
Error message
{
"error": "Log In"
}
{
"error": "Log In"
}
Administrator rights required. You are currently logged in with different user account. Log In with administrator rights
- application/json
- Schema
- Example (from schema)
- Admin Rights Required
Schema
- error string
Error message
{
"error": "Administrator rights required"
}
{
"error": "Administrator rights required"
}